<?php

namespace App\Http\Middleware;

use Closure;

class ChannelApiAuth
{
    /**
     * 判断是否登陆.
     */
    public function handle($request, Closure $next)
    {

        $distribution_channel_id = session('ydyauth');

        if(!$distribution_channel_id) return response()->error('NOT_LOGIN');

        $response = $next($request);
        return $response;
    }
}
